Collections

Collections

Retrieve collections

Retrieve a list of collections.

get
https://{your-bynder-domain}/api/v4/collections

Query Parameters

limitinteger

Default:50

<= 1000

pageinteger

Default:1

orderBystring

Allowed values:dateCreated ascdateCreated descname ascname desc

idsstring

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

countboolean

Default:false

keywordstring

Example:Amsterdam

isPublicboolean

Default:false

minCountinteger

Default:0

Response

application/json

A list of collections.

collectionCountinteger

Example:2

coverobject
Show Child Parameters
dateCreatedstring

Example:March, 01 2017 10:49:12 +0000

dateModifiedstring

Example:March, 08 2017 14:17:37 +0000

descriptionstring

Example:Collection 1 with various assets.

filenamestring

Example:collection_1

idstring

Example:00B627BB-8054-44C0-A343FCF40BC790CD

isPublicboolean

Example:true

namestring

Example:Collection 1

userobject
Show Child Parameters
userIdstring

Example:48817BA7-2FC3-4A43-918761514D322C15

get/api/v4/collections
 
application/json

Create collection

Create a new collection.

post
https://{your-bynder-domain}/api/v4/collections

Body

application/x-www-form-urlencoded
descriptionstring

Collection description

Example:Collection of featured assets

namestring

Collection name

Example:Featured collection

Response

application/json

Created

messagestring

Example:Created

statuscodeinteger

Example:201

post/api/v4/collections

Body

{}
 
application/json

Collections ID

Delete collection

Delete a specific collection by ID.

delete
https://{your-bynder-domain}/api/v4/collections/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

No Content

delete/api/v4/collections/{id}